Skip to main content
GET
List a session's captured files

Authorizations

X-Axilio-Api-Key
string
header
required

Customer API key (axl_ prefix).

Path Parameters

session_id
string<uuid>
required

session whose captures to list

Query Parameters

limit
integer<int64>
default:50

max items per page

Required range: 1 <= x <= 100
offset
integer<int64>
default:0

pagination offset

Required range: x >= 0
q
string

filter by filename, case-insensitive substring match

mime_type
string

only files of exactly this media type

min_size_bytes
integer<int64>
default:0

only files at least this many bytes (0 = no bound)

Required range: x >= 0
max_size_bytes
integer<int64>
default:0

only files at most this many bytes (0 = no bound)

Required range: x >= 0
created_after
string<date-time>

only files registered at or after this time (RFC 3339)

created_before
string<date-time>

only files registered at or before this time (RFC 3339)

Response

OK

One page of the org's file library.

files
object[] | null
required

Library entries, newest first.

total
integer<int64>
required

Total files matching the query.

usage
object
required

The org's standing library usage against its quota.